com.aliyun.svideosdk

## Class AlivcSdkCore

- java.lang.Object
- - com.aliyun.svideosdk.AlivcSdkCore

-     public class AlivcSdkCore
      extends java.lang.Object

  SDK注册入口，必须先调用注册，再使用SDK功能

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AlivcSdkCore.AlivcDebugLoggerLevel` SDK 日志上报等级
    `static class` | `AlivcSdkCore.AlivcLogLevel` SDK 日志等级，默认为AlivcLogWarn

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `APP_PRIVATE_DIR`
    `static java.lang.String` | `APP_PUBLIC_DIR`
    `protected static long` | `mNativeHandle`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlivcSdkCore()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AlivcSdkCore.AlivcDebugLoggerLevel` | `getDebugLoggerLevel()` Deprecated.
    `static AlivcSdkCore.AlivcLogLevel` | `getLogLevel()` 获取当前日志等级
    `static boolean` | `register(Context context)` Init sdk
    `static boolean` | `register(Context context, AlivcSdkConfig alivcSdkConfig)` Init sdk
    `static void` | `registerAsync(Context context, AlivcSdkConfig alivcSdkConfig, ILicenseNativeInitCallback callback)` Init sdk async for No built-in authorization certificate, please wait for callback
    `static void` | `setDebugLoggerLevel(AlivcSdkCore.AlivcDebugLoggerLevel level)` Deprecated.
    `static void` | `setLogLevel(AlivcSdkCore.AlivcLogLevel level)` 设置SDK 日志等级，默认为`AlivcSdkCore.AlivcLogLevel.AlivcLogWarn`
    `static void` | `setLogPath(java.lang.String path)` 设置日志保存路径 v3.31.0 会保存在默认路径/file/Log/ShortVideo文件夹中，增加14天自动删除 v3.31.0 以下版本必须设置日志保存，否则不落地，需业务方自行删除
    `static void` | `unregister()` 反注册SDK

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mNativeHandle

          protected static long mNativeHandle

    - #### APP_PRIVATE_DIR

          public static java.lang.String APP_PRIVATE_DIR

    - #### APP_PUBLIC_DIR

          public static java.lang.String APP_PUBLIC_DIR

  - ### Constructor Detail

    - #### AlivcSdkCore

          public AlivcSdkCore()

  - ### Method Detail

    - #### register

          public static boolean register(Context context)

      Init sdk
      Parameters:
        `context` - context，
      Returns:
        the result : success(true) or failure(false)

    - #### register

          public static boolean register(Context context,
                                         AlivcSdkConfig alivcSdkConfig)

      Init sdk
      Parameters:
        `context` - context，
        `alivcSdkConfig` - the sdk optional config `AlivcSdkConfig`
      Returns:
        the result : success(true) or failure(false)

    - #### registerAsync

          public static void registerAsync(Context context,
                                           AlivcSdkConfig alivcSdkConfig,
                                           ILicenseNativeInitCallback callback)

      Init sdk async for No built-in authorization certificate, please wait for callback
      Parameters:
        `context` - context，
        `alivcSdkConfig` - the sdk optional config `AlivcSdkConfig`
        `callback` - license init callback.(main thread)

    - #### unregister

          public static void unregister()

      反注册SDK

    - #### setLogLevel

          public static void setLogLevel(AlivcSdkCore.AlivcLogLevel level)

      设置SDK 日志等级，默认为`AlivcSdkCore.AlivcLogLevel.AlivcLogWarn`

    - #### getLogLevel

          public static AlivcSdkCore.AlivcLogLevel getLogLevel()

      获取当前日志等级
      Returns:

    - #### setDebugLoggerLevel

          @Deprecated
          public static void setDebugLoggerLevel(AlivcSdkCore.AlivcDebugLoggerLevel level)

      Deprecated.
      设置SDK 日志等级，默认为`AlivcDebugLoggerLevel.AlivcDLNormal` v3.31.0 已失效，无需设置。见com.aliyun.svideosdk.AlivcSdkCore#setLogLevel(com.aliyun.svideosdk.AlivcSdkCore.AlivcLogLevel)即可

    - #### getDebugLoggerLevel

          @Deprecated
          public static AlivcSdkCore.AlivcDebugLoggerLevel getDebugLoggerLevel()

      Deprecated.
      获取当前日志上报等级 v3.31.0 已失效
      Returns:

    - #### setLogPath

          public static void setLogPath(java.lang.String path)

      设置日志保存路径 v3.31.0 会保存在默认路径/file/Log/ShortVideo文件夹中，增加14天自动删除 v3.31.0 以下版本必须设置日志保存，否则不落地，需业务方自行删除
      Parameters:
        `path` -